<?php

namespace App\ViewModels\LojaCompra\LojaCompraCartaoCreditoPagSeguro\LojaCompraRegistrationViewModel;

use App\Utils\Entity;

class LojaCompraProdutoRegistrationViewModel extends Entity {
	protected $id_loja_produto;
	protected $nome;
	protected $quantidade;
	protected $valor_unidade;
	protected $valor;

	public static function builder(): LojaCompraProdutoRegistrationViewModelBuilder {

		return new LojaCompraProdutoRegistrationViewModelBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdLojaProduto() {

		return $this->id_loja_produto;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getNome() {

		return $this->nome;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getQuantidade() {

		return $this->quantidade;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getValorUnidade() {

		return $this->valor_unidade;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getValor() {

		return $this->valor;

	}

	/**
	 *
	 * @param mixed $id_loja_produto
	 */
	public function setIdLojaProduto($id_loja_produto) {

		$this->id_loja_produto = $id_loja_produto;

	}

	/**
	 *
	 * @param mixed $nome
	 */
	public function setNome($nome) {

		$this->nome = $nome;

	}

	/**
	 *
	 * @param mixed $quantidade
	 */
	public function setQuantidade($quantidade) {

		$this->quantidade = $quantidade;

	}

	/**
	 *
	 * @param mixed $valor_unidade
	 */
	public function setValorUnidade($valor_unidade) {

		$this->valor_unidade = $valor_unidade;

	}

	/**
	 *
	 * @param mixed $valor
	 */
	public function setValor($valor) {

		$this->valor = $valor;

	}

}

